Identifier (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class Identifier

    java.lang.Object
      org.hibernate.metamodel.relational.Identifier

    public class Identifier

extends Object

Models an identifier (name).

Constructor Summary
`Identifier(String name, boolean quoted)` Constructs an identifier instance.

Method Summary
`String` | `encloseInQuotesIfQuoted(Dialect dialect)` If this is a quoted identifier, then return the identifier name enclosed in dialect-specific open- and end-quotes; otherwise, simply return the identifier name.
`boolean` | `equals(Object o)`
`String` | `getName()` Get the identifiers name (text)
`int` | `hashCode()`
`boolean` | `isQuoted()` Is this a quoted identifier>
`static boolean` | `isQuoted(String name)`
`static Identifier` | `toIdentifier(String name)` Means to generate an `Identifier` instance from its simple name
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(String name,
                      boolean quoted)

  Constructs an identifier instance.

  Parameters:
    `name` - The identifier text.
    `quoted` - Is this a quoted identifier?

Method Detail

### toIdentifier

    public static Identifier toIdentifier(String name)

  Means to generate an `Identifier` instance from its simple name

  Parameters:
    `name` - The name
  Returns:
    The identifier form of the name.

### isQuoted

    public static boolean isQuoted(String name)

### getName

    public String getName()

  Get the identifiers name (text)

  Returns:
    The name

### isQuoted

    public boolean isQuoted()

  Is this a quoted identifier>

  Returns:
    True if this is a quote identifier; false otherwise.

### encloseInQuotesIfQuoted

    public String encloseInQuotesIfQuoted(Dialect dialect)

  If this is a quoted identifier, then return the identifier name enclosed in dialect-specific open- and end-quotes; otherwise, simply return the identifier name.

  Parameters:
    `dialect` - The dialect whose dialect-specific quoting should be used.
  Returns:
    if quoted, identifier name enclosed in dialect-specific open- and end-quotes; otherwise, the identifier name.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.